BEGIN L#Padraig

IF ~NumTimesTalkedTo(0)~ THEN BEGIN FirstMeeting
SAY ~Greetings good <SIRMAAM>! My name is Padraig.~
IF ~GlobalLT("Chapter","GLOBAL",3)~ THEN REPLY ~Hey Padraig, you seen Irenicus around here?~ GOTO InquireIrenicus
IF ~~ THEN REPLY ~Heya.~ GOTO Greet
IF ~Class(Player1,THIEF)~ THEN REPLY ~I know a thief when I see one!~ GOTO Boththieves
IF ~~ THEN REPLY ~Go away.~ GOTO GoAway
END

IF ~~ THEN BEGIN InquireIrenicus
SAY ~Nope, but I can help you look for him. I'm a Swashbuckler!~
IF ~~ THEN REPLY ~Sure. Join the party~ DO ~SetGlobal("PadraigJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~Nah, go away.~ EXIT
END

IF ~~ THEN BEGIN Greet
SAY ~So, you need a swashbuckler in your group?~
IF ~~ THEN REPLY ~Yes, as a matter of fact we do.~ DO ~SetGlobal("PadraigJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~Nah, go away.~ EXIT
END

IF ~~ THEN BEGIN Boththieves
SAY ~Another thief! Lets rob the rich until they have no more!~
IF ~~ THEN REPLY ~Sounds like a plan.~ DO ~SetGlobal("PadraigJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~Nah, go away.~ EXIT
END

IF ~~ THEN BEGIN GoAway
SAY ~Very well <SIRMAAM>, I will wait till you return, so that we can rob people!~
IF ~~ THEN EXIT
END

BEGIN L#PadraigP

IF ~Global("PadraigJoined","LOCALS",1)~ THEN BEGIN KickOut
SAY ~You are now kicking me out.~
IF ~~ THEN REPLY ~Oops, I meant to boot that idiot Anomen, not you. Sorry~ DO ~JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ DO ~SetGlobal("PadraigJoined","LOCALS",0)~ EXIT
END

IF ~Global("PadraigJoined","LOCALS",0)~ THEN BEGIN Rejoin
SAY ~You want me to rejoin?~
IF ~~ THEN REPLY ~That's right Padraig, get back in formation.~ DO ~SetGlobal("PadraigJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ EXIT
END